<?php
	include_once(__DIR__."/../../core.php");
	
	$idrecord = $html->form('idrecord');
	$idriga = $html->form('idriga');
	$module_name = 'Documenti Wizard';

	
	$query = "SELECT * FROM `co_tipidocumento_wizard_righe` WHERE id='".$idriga."'";
	$rs_tipi = $dbo->fetchArray( $query );
	
	$tipologia=query_secca("","descrizione","co_tipidocumento","where id ='".$rs_tipi[0]['idtipodocumento']."'");
	$stato_ricerca=query_secca("","descrizione","co_statidocumento","where id ='".$rs_tipi[0]['id_stato_cerca']."'");
	$stato_sucessivo=query_secca("","descrizione","co_statidocumento","where id ='".$rs_tipi[0]['id_stato_inserisci']."'");
	
	$rs = $dbo->fetchArray("select id as idtipodocumento , descrizione from co_tipidocumento");	
	$n2 = sizeof($rs);
	
	$rs_stati = $dbo->fetchArray("select id as idstatoiniziale , descrizione from co_statidocumento");	
	$n3 = sizeof($rs_stati);
	
	$rs_stati_d = $dbo->fetchArray("select id as idstatofinale , descrizione from co_statidocumento");	
	$n4 = sizeof($rs_stati_d);
	
	
	echo "<label></label><br><br>\n";
	echo "<form id=\"link_form\" action=\"".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$idrecord."\" method=\"post\">\n";
	echo "		<input type='hidden' name='idriga' value='".$idriga."'>\n";
	echo "	<input type='hidden' name='op' value='edit_tipologia'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";

	
	//Seleziona tipologia documento
	echo "<div class='row'>\n";
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Tipo documento</label>\n";	
	if( ($n2) == 0 ){
		echo "				... Non ci sono tipologie documenti in archivio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"idtipodocumento\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"idtipodocumento\" name=\"idtipodocumento\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";	
		echo "				<option value=\"".$rs_tipi[0]['idtipodocumento']."\"  >".$tipologia." </option>\n";
		for( $i=0;$i<$n2;$i++ ){					
			echo "				<option value=\"".$rs[$i]['idtipodocumento']."\"  >".$rs[$i]['descrizione']." </option>\n";
		}		
	}	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";	
	echo "</div>\n";	
	
	//Seleziona tipologia documento
	echo "<div class='row'>\n";
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Stato iniziale documento</label>\n";	
	if( ($n3) == 0 ){
		echo "				... Non ci sono stati  in archivio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"idstatoiniziale\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"idstatoiniziale\" name=\"idstatoiniziale\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";
		echo "				<option value=\"".$rs_tipi[0]['id_stato_cerca']."\"  >".$stato_ricerca." </option>\n";	
		for( $i=0;$i<$n3;$i++ ){					
			echo "				<option value=\"".$rs_stati[$i]['idstatoiniziale']."\"  >".$rs_stati[$i]['descrizione']." </option>\n";
		}		
	}	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";	
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Stato finale documento</label>\n";	
	if( ($n4) == 0 ){
		echo "				... Non ci sono stati  in archivio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"idstatofinale\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"idstatofinale\" name=\"idstatofinale\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";
		echo "				<option value=\"".$rs_tipi[0]['id_stato_inserisci']."\"  >".$stato_sucessivo." </option>\n";	
		for( $i=0;$i<$n4;$i++ ){					
			echo "				<option value=\"".$rs_stati_d[$i]['idstatofinale']."\"  >".$rs_stati_d[$i]['descrizione']." </option>\n";
		}		
	}	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";	
	
	
	echo "</div>\n";	
	
	
	
	
	
	echo "	<a onclick=\"aggiorna();\" class=\"btn btn-primary pull-right\"><i class=\"fa fa-plus\"></i> Aggiorna</a>\n";
	echo "</form>\n";
	
	
	echo "	<form action='".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$idrecord."' method='post' id='delete-form-".$idrecord."' role='form'>\n";
		echo "		<input type='hidden' name='backto' value='record-edit'>\n";
		echo "		<input type='hidden' name='idriga' value='".$idriga."'>\n";
		echo "		<input type='hidden' name='op' value='unlink_tipologia'>\n";
		echo "		<div class='input-group-btn'>\n";			
		echo "			<a class='btn btn-danger pull-left' title='Rimuovi articolo...' onclick=\"if( confirm('Rimuovere questo tipologia?') ){ $('#delete-form-".$idrecord."').submit(); }\"><i class='fa fa-trash-o'></i> Elimina</a>\n";
		echo "		</div>\n";
	echo "	</form>\n";
	
	
	
	
?>

	<script type="text/javascript">
	
		function aggiorna(){
			$("#link_form").submit();				
		}
		
		$(document).ready( function(){
			start_superselect();
			start_inputmask();
		});
	</script>

	<div class="clearfix"></div>

